Name:		freetuxtv
Summary:	Freetuxtv - TV player
Version:	0.6.8
Release:	%mkrel 1

Group:          Video/Television
License:	GPLv2
URL:		https://github.com/freetuxtv/freetuxtv
Source:		https://github.com/freetuxtv/freetuxtv/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(libcurl) >= 7.16.4
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(libnotify) >= 0.4.0
BuildRequires:	pkgconfig(sqlite3) >= 3.4
BuildRequires:	pkgconfig(libvlc) >= 2.0.0
BuildRequires:	intltool >= 0.35

Requires:	vlc >= 2.0.0

%description
freetuxtv is a player for Television on Internet with french Free
or SFR (ex-Neuf) Internet service providers, and a lot of WebTV in
french languages in the world (Canada, Switzerland, Belgium, etc...).

%prep
%autosetup -p1

%build
%configure --disable-static --enable-shared --with-gtk=3.0
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS AUTHORS README ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_libdir}/*.so.*
%exclude %{_libdir}/*.so
%exclude %{_libdir}/*.la
%exclude %{_includedir}


%changelog
* Wed May 15 2024 daviddavid <daviddavid> 0.6.8-1.mga10
+ Revision: 2064296
- new version: 0.6.8
- switch to GTK3

* Thu Mar 31 2022 umeabot <umeabot> 0.6.6-9.mga9
+ Revision: 1835871
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.6.6-8.mga8
+ Revision: 1512333
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.6.6-7.mga7
+ Revision: 1297781
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.6.6-6.mga6
+ Revision: 951926
- Mageia 6 Mass Rebuild

* Sun Jan 11 2015 akien <akien> 0.6.6-5.mga5
+ Revision: 809975
- Build against GTK+2, GTK+3 version is broken (mga#13115)

* Wed Oct 15 2014 umeabot <umeabot> 0.6.6-4.mga5
+ Revision: 742841
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.6-3.mga5
+ Revision: 679353
- Mageia 5 Mass Rebuild

* Mon Mar 10 2014 zezinho <zezinho> 0.6.6-2.mga5
+ Revision: 601853
- now it builds agaisnt GTK3
- new version fixes vlc 2.1.x compatibility

* Wed Dec 11 2013 zezinho <zezinho> 0.6.5-1.mga4
+ Revision: 556339
- new version 0.6.5

* Fri Oct 18 2013 umeabot <umeabot> 0.6.4-4.mga4
+ Revision: 521716
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 barjac <barjac> 0.6.4-3.mga3
+ Revision: 391664
- update group

* Fri Jan 11 2013 umeabot <umeabot> 0.6.4-2.mga3
+ Revision: 350954
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 zezinho <zezinho> 0.6.4-1.mga3
+ Revision: 321649
- fix rpm group
- new version

* Tue Apr 17 2012 zezinho <zezinho> 0.6.3-1.mga2
+ Revision: 231251
- new version fixes display bugs
+ fwang <fwang>
- remove rather than exclude

* Mon Dec 05 2011 zezinho <zezinho> 0.6.1-1.mga2
+ Revision: 176845
- new version

* Sun Jun 19 2011 ahmad <ahmad> 0.5.2-2.mga2
+ Revision: 109602
- Add a patch to fix build with libnotify-0.7

* Mon Feb 28 2011 dmorgan <dmorgan> 0.5.2-1.mga1
+ Revision: 61571
- New version 0.5.2

* Mon Feb 28 2011 dmorgan <dmorgan> 0.5.1-2.mga1
+ Revision: 61320
- Bump release
- Remove hack now that we use new rpm
- Clean spec file

* Sat Feb 26 2011 dmorgan <dmorgan> 0.5.1-1.mga1
+ Revision: 60929
- Do not use %%exclude for now
- imported package freetuxtv


* Mon Aug 02 2010 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 565008
- new version 0.5.1

* Sat Feb 27 2010 Funda Wang <fwang@mandriva.org> 0.4.1-4mdv2010.1
+ Revision: 512185
- drop devel files (we don't need them)

* Mon Dec 14 2009 Olivier Faurax <ofaurax@mandriva.org> 0.4.1-3mdv2010.1
+ Revision: 478399
- Missing intltool build dependencies
- New version : 0.4.1

* Mon Dec 14 2009 Olivier Faurax <ofaurax@mandriva.org> 0.3.0-3mdv2010.1
+ Revision: 478394
- rebuild
- rebuild

  + Michael Scherer <misc@mandriva.org>
    - fix BuildRequires and fix various rpmlint warning, by Olivier Faurax <olivier.faurax@laposte.net>

* Mon Oct 19 2009 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2010.0
+ Revision: 458153
- fix BRs

  + Anne Nicolas <anne.nicolas@mandriva.com>
    - import freetuxtv

